Bug 256670 - Errata notices and security advisories for RELEASE versions of FreeBSD are missing latest entries
Summary: Errata notices and security advisories for RELEASE versions of FreeBSD are mi...
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Website (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-17 12:04 UTC by Graham Perrin
Modified: 2021-07-02 06:11 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Philip Paeps freebsd_committer 2021-06-18 00:48:11 UTC
I don't think these pages are on the secteam checklist.  I'll update them and make sure they get added.
Comment 2 Philip Paeps freebsd_committer 2021-06-18 03:07:44 UTC
Sent patches to bcr@ for review (my go-to doc committer :)).  I'll commit them when he approves.

I've also updated the secteam checklist so this doesn't get forgotten.

Thanks again for pointing this out.
Comment 3 commit-hook freebsd_committer 2021-06-22 02:24:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=543d963d209814d69e20a762b9887c2c384c1675

commit 543d963d209814d69e20a762b9887c2c384c1675
Author:     Philip Paeps <philip@FreeBSD.org>
AuthorDate: 2021-06-22 02:22:59 +0000
Commit:     Philip Paeps <philip@FreeBSD.org>
CommitDate: 2021-06-22 02:22:59 +0000

    Add advisories and errata affecting 13.0R since May 2021

    PR:             256670
    Reviewed by:    gjb

 website/content/en/releases/13.0R/errata.adoc | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-06-22 02:24:38 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=865506db592fa8222cfbdb9d008abb93fa2df570

commit 865506db592fa8222cfbdb9d008abb93fa2df570
Author:     Philip Paeps <philip@FreeBSD.org>
AuthorDate: 2021-06-22 02:22:59 +0000
Commit:     Philip Paeps <philip@FreeBSD.org>
CommitDate: 2021-06-22 02:22:59 +0000

    Add advisories and errata affecting 12.2R since December 2020

    PR:             256670
    Reviewed by:    gjb

 website/content/en/releases/12.2R/errata.adoc | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-06-22 02:24:39 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=01b99c21f1a4f608749508090faa8b0ec0d08a22

commit 01b99c21f1a4f608749508090faa8b0ec0d08a22
Author:     Philip Paeps <philip@FreeBSD.org>
AuthorDate: 2021-06-22 02:22:59 +0000
Commit:     Philip Paeps <philip@FreeBSD.org>
CommitDate: 2021-06-22 02:22:59 +0000

    Add advisories and errata affecting 11.4R since December 2020

    PR:             256670
    Reviewed by:    gjb

 website/content/en/releases/11.4R/errata.adoc | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 6 Philip Paeps freebsd_committer 2021-06-22 02:26:35 UTC
Committed.  Thanks for reporting this!
Comment 7 Graham Perrin 2021-06-22 19:21:21 UTC
Thanks!

Do the late-breaking news sections need a cleanup? 

<https://www.freebsd.org/releases/13.0R/errata/#late-news> for example, 

> [2021-04-05] A very late issue was discovered in the /usr/bin/dc program. …

– there was the subsequent 'dc update' <https://www.freebsd.org/security/advisories/FreeBSD-EN-21:16.bc.asc>
Comment 8 Graham Perrin 2021-07-02 05:52:24 UTC
… and a gentle bump for the most recent round of announcements (a couple of days ago). Thanks
Comment 9 Philip Paeps freebsd_committer 2021-07-02 06:11:26 UTC
I sent the doc patches for review this morning. :)

I'll ask about that latest news section.  Thanks for the bump.